Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class GetTaskPropertyCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<T>
          org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Object>
              org.jbpm.services.task.commands.GetTaskPropertyCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Object>, Command<Object>

    public class GetTaskPropertyCommand

extends UserGroupCallbackTaskCommand<Object>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`GetTaskPropertyCommand()`
`GetTaskPropertyCommand(long taskId, String userId, Integer property)`

Method Summary
`Object` | `execute(org.kie.internal.command.Context cntxt)`
`Integer` | `getProperty()`
`void` | `setProperty(Integer name)`

Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand
`addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, persistIfNotExists`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetTaskPropertyCommand

    public GetTaskPropertyCommand()

### GetTaskPropertyCommand

    public GetTaskPropertyCommand(long taskId,
                                  String userId,
                                  Integer property)

Method Detail

### getProperty

    public Integer getProperty()

### setProperty

    public void setProperty(Integer name)

### execute

    public Object execute(org.kie.internal.command.Context cntxt)

  Specified by:
    `execute` in interface `org.drools.core.command.impl.GenericCommand<Object>`
  Overrides:
    `execute` in class `UserGroupCallbackTaskCommand<Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.